=== includes/CMakeLists.txt ===
install( FILES
    Backend
    Globals
    Package
    Config
    History
    DebFile
    DependencyInfo
    Changelog
    Transaction
    DownloadProgress
    MarkingErrorInfo
    SourceEntry
    SourcesList
DESTINATION include/LibQApt COMPONENT Devel)
