=== debian/changelog ===
libqapt (2.1.70-0ubuntu4.2) trusty; urgency=medium

  * Add upstream_fix-package-remove-resolver.diff LP: #1358291
    ensure package resolution happens after cache is marked

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Aug 2014 15:26:22 +0200

libqapt (2.1.70-0ubuntu4.1) trusty; urgency=medium

  * Add upstream_Prevent-crashes-on-source-entries-that-contain-a-lin.patch
    from upstream git to resolve a crash when parsing source entries
    denoting a comment but not actually containing anything other than hash
    chracters.
    LP: #1312043
    (this commit is not part of upstream's 2.2.0 tarball and therefore is not
     imported as part of the upstream_git patch set)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Apr 2014 10:33:17 +0200

libqapt (2.1.70-0ubuntu4) trusty; urgency=medium

  * Import upstream commits 11 to 12
    + This possibly makes the qapt gst helper work with gstreamer 0.10 requets
      by doing a more explicit version match to prevent 1.0 packages from
      being considered as candiates for 0.10 codec requests.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 13:48:14 +0200

libqapt (2.1.70-0ubuntu3) trusty; urgency=medium

  * Import upstream commits 07 to 10 (LP: #1298380)
    + These commits include fixes to the qapt-gstreamer installer that port
      it to gstreamer1.0 native API for 14.04
    + Also fixes return values of the gstreamer installer to enable auto
      cache reloading to enable playback without restart
  * Adjust dependencies for gstreamer1.0 native port
    - removed: libqtgstreamer-dev
    - added: libgstreamer1.0-dev, libglib2.0-dev,
             libgstreamer-plugins-base1.0-dev

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 11:57:20 +0200

libqapt (2.1.70-0ubuntu2) trusty; urgency=medium

  * Import upstream commits since release, resolving bugs in sourcelists
    handling as well as debfile handling.
    + All in sub directory upstream_git/ (git format-patch export)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 18 Mar 2014 17:21:20 +0100

libqapt (2.1.70-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Rename source to libqapt to match upstream
  * Add kubuntu_disable-tests.diff, tests do not currently compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 21:12:09 +0000

qapt (2.0.65-0ubuntu1) saucy; urgency=low

  * New upstream alpha release:
    - Update libqapt-dev.install for new files
    - Update libqapt2.symbols for new symbols

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 Jun 2013 10:43:56 -0400

qapt (2.0.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 May 2013 10:48:09 -0400

qapt (2.0.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Apr 2013 16:33:02 -0400

qapt (1.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Mar 2013 21:36:52 -0400

qapt (1.9.95-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Mar 2013 12:36:03 -0400

qapt (1.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release:
    - Update libqapt2.symbols
  * Bump Standards-Version to 3.9.4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 Jan 2013 13:26:47 -0500

qapt (1.9.65-0ubuntu1) raring; urgency=low

  * New upstream alpha release:
    - Update .symbols file
    - Adapt to header changes in libqapt-dev.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Dec 2012 14:36:37 -0500

qapt (1.9.60-0ubuntu3) raring; urgency=low

  * Add fix_qapt_batch.diff from git master to fix broken install/remove
    capabilities for qapt-batch. (LP: #1086047)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Dec 2012 12:26:30 -0500

qapt (1.9.60-0ubuntu2) raring-proposed; urgency=low

  * Move Depends of binary packages from libqapt-runtime to libqapt2-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 31 Oct 2012 12:57:09 -0400

qapt (1.9.60-0ubuntu1) raring-proposed; urgency=low

  * New upstream release:
    - Remove kubuntu_fix_proxy_crash.diff, merged upstream
    - Rename libqapt1 to libqapt2 for .so version bump
    - Rename libqapt-runtime to libqapt2-runtime for co-installability with
      QApt 1.x (The appropriate files in libqapt-runtime have been renamed
      upstream for coinstallability)
    - Update the symbols file for 2.x.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 14:40:48 -0400

qapt (1.4.1-0ubuntu2) quantal; urgency=low

  * Add kubuntu_fix_proxy_crash.diff from upstream 1.4 branch to fix a crash
    that can occur with certain KDE proxy configurations.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 03 Oct 2012 19:19:31 -0400

qapt (1.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 29 Sep 2012 14:34:43 -0400

qapt (1.4.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 15 Aug 2012 21:24:54 -0400

qapt (1.3.95-0ubuntu1) quantal; urgency=low

  * New upstream release candidate (LP: #1021966)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 15 Jul 2012 13:02:13 -0400

qapt (1.3.80-0ubuntu2) quantal-proposed; urgency=low

  * No-change rebuild against libapt-inst1.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jun 2012 08:54:50 -0700

qapt (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release:
    - Update libqapt1.symbols
  * Fix duplicate Copyright: field, lines 8, 32 of debian/copyright

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Jun 2012 16:00:19 -0400

qapt (1.3.65-0ubuntu1) quantal; urgency=low

  * New upstream alpha release:
    - Drop cherry-picked patches from the 1.3 branch
    - Update libqapt1.symbols

