=== debian/control ===
Source: libqapt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
 Kai Wasserbäch <curan@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.5.0),
 cmake (>= 2.8.4+dfsg.1-3),
 pkg-config,
 kdelibs5-dev,
 libapt-pkg-dev (>= 0.8.0),
 libxapian-dev,
 libpolkit-qt-1-dev,
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
 libdebconf-kde-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libqapt/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qapt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qapt.git;a=summary

Package: libqapt2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqapt2 (= ${binary:Version}), libapt-pkg-dev
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt2-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, polkit-kde-1 | policykit-1-gnome
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.

Package: qapt-utils
Architecture: any
Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
 plasma-runner-installer, kde-thumbnailer-deb
Recommends: gstreamer0.10-qapt
Description: complete collection of QApt package management utilities
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This is a metapackage depending on all of QApt's extra package management
 utilities.

Package: qapt-batch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: Batch package manager for KDE
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 QApt Batch is a simple GUI for doing batch package management operations.
 It can install and remove packages, as well as update the package cache via a
 command line interface. It also has an attach function invokable via the
 command line. QApt Batch is a drop-in replacement for the "install-package"
 batch package management tool.

Package: qapt-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: tool for installing deb files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 The QApt deb installer allows you to install local .deb files. The QApt Deb
 Installer resolves and downloads dependencies. The APT package manager does
 the same, but only for remote packages.

Package: plasma-runner-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, command-not-found, qapt-batch
Description: KRunner plugin for installing packages
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This KRunner plugin offers the option to install an application if its
 command is typed in to KRunner and the application is not already
 installed.

Package: kde-thumbnailer-deb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dolphin, konqueror
Description: KDE plugin to show thumbnails of Debian package files
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
 packages (.deb files) as thumbnails.

Package: gstreamer0.10-qapt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
Description: GStreamer plugin to install codecs using QApt
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: qapt-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libqapt2 (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: QApt debugging symbols
 QApt is a collection of tools and a library providing a wrapper around
 APT. The intention is to ease the use of APT in Qt-based programs.
 .
 This package contains debugging symbols for QApt.
 When QApt crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a QApt crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.
