=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel --dbg-package=qapt-dbg

override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_install
