## libqapt 2.2.0

=== debian/changelog ===
libqapt (2.2.0-0ubuntu2) utopic; urgency=medium

  * Add upstream_fix-package-remove-resolver.diff LP: #1358291
    cache marking worked without resolution

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Aug 2014 15:35:24 +0200

libqapt (2.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1328165)
    - Refreshed patches, removed reverse applied.
    - Refreshed symbols
    - verified tests still don't compile.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 01 Jul 2014 09:03:00 -0700

libqapt (2.1.70-0ubuntu6) utopic; urgency=medium

  * Rename gstreamer0.10-qapt to gstreamer-qapt
    + The codec-installer in theory supports both 0.10 and 1.x (at least 1.x)
    + The alternative system provided does not handle gstreamer plugin API
      versions at all, there is only one gstreamer-codec-installer and that one
      is used everywhere, so the API versin based name doesn't make sense
      to begin with.
    + A transitional package gstreamer0.10-qapt was added
    + The new gstreamer-qapt package replaces and conflicts the older
      gstreamer0.10-qapt versions
    + Renamed .install, postinst, prerm accordingly
    + Removed crap comments from maintainer scripts
    LP: #1313066 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 28 Apr 2014 12:11:00 +0200

libqapt (2.1.70-0ubuntu5) utopic; urgency=medium

  * Add upstream_Prevent-crashes-on-source-entries-that-contain-a-lin.patch
    from upstream git to resolve a crash when parsing source entries
    denoting a comment but not actually containing anything other than hash
    chracters.
    LP: #1312043
    (this commit is not part of upstream's 2.2.0 tarball and therefore is not
     imported as part of the upstream_git patch set)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Apr 2014 10:33:17 +0200
