=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 Architecture: any
 Depends: ${misc:Depends}, qapt-batch, qapt-deb-installer,
  plasma-runner-installer, kde-thumbnailer-deb
-Recommends: gstreamer0.10-qapt
+Recommends: gstreamer-qapt
 Description: complete collection of QApt package management utilities
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
@@ -113,15 +113,24 @@
  A plugin for KDE file managers (Dolphin and Konqueror) to preview Debian
  packages (.deb files) as thumbnails.
 
-Package: gstreamer0.10-qapt
+Package: gstreamer-qapt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime
+Replaces: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
+Breaks: gstreamer0.10-qapt (<< 2.1.70-0ubuntu5~)
 Description: GStreamer plugin to install codecs using QApt
  QApt is a collection of tools and a library providing a wrapper around
  APT. The intention is to ease the use of APT in Qt-based programs.
  .
  This package provides a plugin for the GStreamer multimedia framework
  to search and to install audio and video codecs.
+
+Package: gstreamer0.10-qapt
+Depends: gstreamer-qapt, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
 
 Package: qapt-dbg
 Section: debug
