## libqapt 3.0.0

=== debian/changelog ===
libqapt (3.0.0-0ubuntu2) vivid; urgency=medium

  * Add build-dep on qttools5-dev-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 13:15:44 +0100

libqapt (3.0.0-0ubuntu1) vivid; urgency=medium

  * Initial upload for qapt3

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Jan 2015 12:13:04 +0100

libqapt (2.2.0+qt5+20140826-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Aug 2014 15:08:16 +0200

libqapt (2.1.70+qt5+20140731.1) utopic; urgency=medium

  * Git qt5 snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 24 Jul 2014 14:52:03 +0200
