=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --parallel --dbg-package=qapt-dbg

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:

.PHONY: override_dh_install override_dh_auto_test
